## ros-galactic-ros2bag 0.9.2

=== debian/changelog ===
ros-galactic-ros2bag (0.9.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 26 Sep 2022 07:00:00 -0000

ros-galactic-ros2bag (0.9.1-1focal) focal; urgency=high

  * [backport galactic] Add delay option (#789 <https://github.com/ros2/rosbag2/issues/789>) (#812 <https://github.com/ros2/rosbag2/issues/812>)
    Backport #789 <https://github.com/ros2/rosbag2/issues/789> to galactic
    * Add delay option
  * Contributors: Kosuke Takeuchi

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 08 Jul 2021 07:00:00 -0000

ros-galactic-ros2bag (0.9.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-galactic-ros2bag (0.8.0-1focal) focal; urgency=high

  * /clock publisher in Player (#695 <https://github.com/ros2/rosbag2/issues/695>)
  * Introducing Reindexer CLI (#699 <https://github.com/ros2/rosbag2/issues/699>)
  * rosbag2_py pybind wrapper for "record" - remove rosbag2_transport_py (#702 <https://github.com/ros2/rosbag2/issues/702>)
  * Add rosbag2_py::Player::play to replace rosbag2_transport_python version (#693 <https://github.com/ros2/rosbag2/issues/693>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Contributors: Emerson Knapp, jhdcs

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-galactic-ros2bag (0.7.0-1focal) focal; urgency=high

  * use rosbag2_py for ros2 bag info (#673 <https://github.com/ros2/rosbag2/issues/673>)
  * CLI query rosbag2_py for available storage implementations (#659 <https://github.com/ros2/rosbag2/issues/659>)
  * Contributors: Emerson Knapp, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-ros2bag (0.6.0-1focal) focal; urgency=high

  * Recorder --regex and --exclude options (#604 <https://github.com/ros2/rosbag2/issues/604>)
  * Fix the tests on cyclonedds by translating qos duration values (#606 <https://github.com/ros2/rosbag2/issues/606>)
  * SQLite storage optimized by default (#568 <https://github.com/ros2/rosbag2/issues/568>)
  * Fix a bug on parsing wrong description in plugin xml file (#578 <https://github.com/ros2/rosbag2/issues/578>)
  * Compress bag files in separate threads (#506 <https://github.com/ros2/rosbag2/issues/506>)
  * Contributors: Adam Dąbrowski, Barry Xu, Emerson Knapp, P. J. Reed

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-galactic-ros2bag (0.5.0-1focal) focal; urgency=high

  * Sqlite storage double buffering (#546 <https://github.com/ros2/rosbag2/issues/546>)
    * Double buffers
    * Circular queue and FLUSH option as define
    * Minor naming and lexical fixes.
    * Removed FLUSH_BUFFERS define check.
    * Sqlite3 storage logging fixes.
    * Sqlite3 storage circular buffer with pre allocated memory.
    * Sqlite3 storage buffers moved to shared_ptrs.
    * Uncrustify
    * Moved double buffers to writer
    * Buffer layer reset in seq compression writer in rosbag2 cpp
    * Buffer layer for rosbag2 writer refactor
    * Changed buffers in BufferLayer to std vectors.
    * BufferLayer uncrustify
    * Removed non-applicable test for writer cache.
    * BufferLayer review fixes
    * Rosbag metadata msgs count fixed for BufferLayer
    * Condition variable for buffer layer sync.
    * Fixed buffer locks
    * Buffers in BufferLayer refactored, moved into new class
    * Buffer layer split bags fixed.
    * Storage options include fix in buffer layer header.
    * Mutex around swapping buffers in buffer layer.
    * Fixed cache 0 bug in buffer layer.
    * Minor buffer layer refactor.
    * Counting messages in writer refactored.
    * Changed default cache size to 100Mb and updated parameter description
    * Applied review remarks:
    - significant refactoring: separation of cache classes
    - applied suggested improvements
    - some renaming
    - reduce code duplication that would otherwise increase with cache refactor, between compression and plain writers
    * Applied review comments
    - cache consumer now takes a callback and is independent of storage
    - namespace changes, renaming, cleaning
    - counting and logging messages by topic
    * linter
    * Changes after review: fixing flushing, topic counts, and more
    * Fix for splitting - flushing state now correctly turns off
    * cache classes documentation
    * simplified signature
    * a couple of tests for cache
    * address review: explicit constructor and doxygen styling
    * Windows warnings fix
    * fixed type mismatch warning on Windows
    * added minor comment
    Co-authored-by: Piotr Jaroszek <mailto:piotr.jaroszek@robotec.ai>
  * Contributors: Adam Dąbrowski

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 02 Dec 2020 08:00:00 -0000

ros-galactic-ros2bag (0.4.0-1focal) focal; urgency=high

  * read yaml config file (#497 <https://github.com/ros2/rosbag2/issues/497>)
  * List all storage plugins in plugin xml file (#554 <https://github.com/ros2/rosbag2/issues/554>)
  * add storage_config_uri (#493 <https://github.com/ros2/rosbag2/issues/493>)
  * Update deprecated qos policy value names (#548 <https://github.com/ros2/rosbag2/issues/548>)
  * Add record test for ros2bag (#523 <https://github.com/ros2/rosbag2/issues/523>)
  * Removed duplicated code in record (#534 <https://github.com/ros2/rosbag2/issues/534>)
  * Change default cache size for sequential_writer to a non zero value (#533 <https://github.com/ros2/rosbag2/issues/533>)
  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * [ros2bag test_record] Gets rid of time.sleep and move to using command.wait_for_output (#525 <https://github.com/ros2/rosbag2/issues/525>)
  * Add pytest.ini back to ros2bag. (#492 <https://github.com/ros2/rosbag2/issues/492>)

